%define bname gstreamer
%define name %bname-ffmpeg
%define oname gst-ffmpeg
%define version 0.8.7
%define release %mkrel 4
%define gstver 0.8.0

Summary: Gstreamer plugin for the ffmpeg codec
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{oname}-%{version}.tar.bz2
Patch: gst-ffmpeg-0.8.6-CVE-2005-4048.patch
Patch1: gst-ffmpeg-0.8.6-CVE-2006-4800.patch
License: GPL
Group: Video
Url: http://www.gstreamer.net
BuildRequires: libgstreamer-plugins-devel >= %gstver
Requires(post): gstreamer08-tools >= %gstver
Requires(postun): gstreamer08-tools >= %gstver
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Video codec plugin for GStreamer based on the ffmpeg libraries.

%prep
%setup -q -n %oname-%version
%patch -p1 -b .CVE-2005-4048
%patch1 -p1 -b .cve-2006-4800

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/gstreamer*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_bindir/gst-register-0.8 > /dev/null 2> /dev/null
%postun
%_bindir/gst-register-0.8 > /dev/null 2> /dev/null

%files
%defattr(-,root,root)
%doc README NEWS TODO ChangeLog AUTHORS
%_libdir/gstreamer-*/libgstffmpeg.so
%_libdir/gstreamer-*/libgstpostproc.so


%changelog
* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 0.8.7-4mdv2007.1
+ Revision: 144502
- Import gstreamer-ffmpeg



* Thu Mar 15 2007 Gtz Waschk <waschk@mandriva.org> 0.8.7-4mdv2007.1
- P1: security fix for CVE-2006-4800
- unpack patch 

* Mon Aug 28 2006 Gtz Waschk <waschk@mandriva.org> 0.8.7-3mdv2007.0
- fix post deps

* Wed Dec 14 2005 Gtz Waschk <waschk@mandriva.org> 0.8.7-2mdk
- patch for CVE-2005-4048

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.8.7-1mdk
- New release 0.8.7

* Sun Aug 07 2005 Götz Waschk <waschk@mandriva.org> 0.8.6-1mdk
- update file list
- remove gcc workaround
- New release 0.8.6

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.8.5-2mdk
- replace prereq by current syntax
- fix buildrequires

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 0.8.5-1mdk
- ugly workaround for bug 16170
- New release 0.8.5

* Mon Mar 14 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- New release 0.8.4

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- New release 0.8.3

* Sun Oct 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- New release 0.8.2

* Thu Oct  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-1mdk
- new version

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- reenable libtoolize
- add source URL
- New release 0.8.1

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- prerequires gstreamer08-tools for the post script
- add post installation script
- fix doc listing

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- initial package
